using Microsoft.Extensions.DependencyInjection;
using RainCrab.Plugins.AspNet;

namespace Plugin2;

public class Plugin2 : IWebPlugin
{
    public Task ConfigureAsync(WebPluginLoadContext loadContext)
    {
        loadContext.ApplicationBuilder.Services.AddControllersWithViews()
            .AddApplicationPart(typeof(Plugin2).Assembly);
        return Task.CompletedTask;
    }

    public Task ShutdownAsync(WebPluginLoadContext loadContext)
    {
        return Task.CompletedTask;
    }
}
